package org.jboss.tutorial.entity.client;

import java.util.Collection;

import javax.naming.InitialContext;

import org.jboss.tutorial.entity.bean.Customer;
import org.jboss.tutorial.entity.bean.CustomerManager;

public class ClientDelete
{
  public static void main(String[] args) 
    throws Exception
  {
    // Obtain a reference to the remote CustomerManagerBean
    InitialContext ctx = new InitialContext();
    CustomerManager cm = (CustomerManager) ctx.lookup("CustomerManagerBean/remote");
    
    // Find the customer with the id '2'
    System.out.println("[ClientDelete] finding the customer with the id 2");
    Customer myCustomer = cm.findCustomer(2);
    
    if (myCustomer == null)
    {
      System.out.println("[ClientDelete] not found.");
    }
    else
    {
      System.out.println("[ClientDelete] found " + myCustomer);
      System.out.println("[ClientDelete] removing the customer with the id 2");
      cm.removeCustomer(2);
    }
  }
}
