/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.tutorial.stateless.bean;

// TODO add the appropriate annnotations to enable this class to be 
//      deployed as a Stateless Session EJB with the appropriately
//      defined remote interface
public class CalculatorBean
  implements Calculator
{
   public int add(int x, int y)
   {
     System.out.println("[CalculatorBean] add("+x+" , "+y+")");
     return x + y;
   }
   
   public int subtract(int x, int y)
   {
     System.out.println("[CalculatorBean] subtract("+x+" , "+y+")");
     return x - y;
   }
   
   public int multiply(int x, int y)
   {
     System.out.println("[CalculatorBean] multiply("+x+" , "+y+")");
     return x * y;
   }
}
