package org.jboss.tutorial.entity.bean;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Column;
import javax.persistence.Id;

@Entity
public class Customer 
  implements java.io.Serializable 
{
  private int id;
  private String firstName;
  private String lastName;
  private String phone;
    
  @Id   
  public int getId() 
  {
    return id;
  }
  
  public void setId(int id) 
  {
    this.id = id;
  }
  
  public String getFirstName() 
  {
    return firstName;
  }
  
  public void setFirstName(String firstName) 
  {
    this.firstName = firstName;
  }
  
  public String getLastName() 
  {
    return lastName;
  }
  
  public void setLastName(String lastName) 
  {
    this.lastName = lastName;
  }
  
  @Column(name="PHONE_NUMBER")
  public String getPhone() 
  {
    return phone;
  }
  
  public void setPhone(String phone) 
  {
    this.phone = phone;
  }
  
  public String toString()
  {
    return "[id="+getId()+"]:"+getFirstName()+" "+getLastName();
  }
}